"Fossies" - the Fresh Open Source Software Archive

Member "cryptsetup-2.4.3/autogen.sh" (13 Jan 2022, 2108 Bytes) of package /linux/misc/cryptsetup-2.4.3.tar.xz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers and code folding option. Alternatively you can here view or download the uninterpreted source code file.

    1 #!/bin/sh
    2 # Run this to generate all the initial makefiles, etc.
    3 
    4 srcdir=`dirname $0`
    5 PKG_NAME="cryptsetup"
    6 
    7 DIE=0
    8 
    9 (autopoint --version) < /dev/null > /dev/null 2>&1 || {
   10   echo
   11   echo "**Error**: You must have autopoint installed."
   12   echo "Download the appropriate package for your distribution."
   13   DIE=1
   14 }
   15 
   16 
   17 (msgfmt --version) < /dev/null > /dev/null 2>&1 || {
   18   echo
   19   echo "**Warning**: You should have gettext installed."
   20   echo "Download the appropriate package for your distribution."
   21   echo "To disable translation, you can also use --disable-nls"
   22   echo "configure option."
   23 }
   24 
   25 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
   26   echo
   27   echo "**Error**: You must have autoconf installed."
   28   echo "Download the appropriate package for your distribution."
   29   DIE=1
   30 }
   31 
   32 (grep "^LT_INIT" $srcdir/configure.ac >/dev/null) && {
   33   (libtoolize --version) < /dev/null > /dev/null 2>&1 || {
   34     echo
   35     echo "**Error**: You must have libtoolize installed."
   36     echo "Download the appropriate package for your distribution."
   37     DIE=1
   38   }
   39 }
   40 
   41 (automake --version) < /dev/null > /dev/null 2>&1 || {
   42   echo
   43   echo "**Error**: You must have automake installed."
   44   echo "Download the appropriate package for your distribution."
   45   DIE=1
   46   NO_AUTOMAKE=yes
   47 }
   48 
   49 
   50 # if no automake, don't bother testing for aclocal
   51 test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
   52   echo
   53   echo "**Error**: Missing aclocal.  The version of automake"
   54   echo "installed doesn't appear recent enough."
   55   DIE=1
   56 }
   57 
   58 if test "$DIE" -eq 1; then
   59   exit 1
   60 fi
   61 
   62 echo
   63 echo "Generate build-system by:"
   64 echo "   autopoint:  $(autopoint --version | head -1)"
   65 echo "   aclocal:    $(aclocal --version | head -1)"
   66 echo "   autoconf:   $(autoconf --version | head -1)"
   67 echo "   automake:   $(automake --version | head -1)"
   68 echo "   libtoolize: $(libtoolize --version | head -1)"
   69 echo
   70 
   71 
   72 set -e
   73 autopoint --force $AP_OPTS
   74 libtoolize --force --copy
   75 aclocal -I m4 $AL_OPTS
   76 autoheader $AH_OPTS
   77 automake --add-missing --copy --gnu $AM_OPTS
   78 autoconf $AC_OPTS
   79 
   80 echo
   81 echo "Now type '$srcdir/configure' and 'make' to compile."
   82 echo